Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## i2p.susi.dns
Class AddressbookBean

    java.lang.Object
      i2p.susi.dns.AddressbookBean

    public class AddressbookBean

extends Object

Constructor Summary
`AddressbookBean()`

Method Summary
`String` | `getAction()`
`String` | `getBegin()`
`String` | `getBook()`
`String` | `getDestination()`
`String` | `getEnd()`
`Object[]` | `getEntries()`
`String` | `getFileName()`
`String` | `getFilter()`
`String` | `getHostname()`
`String` | `getLoadBookMessages()` Load addressbook and apply filter, returning messages about this.
`String` | `getMessages()` Perform actions, returning messages about this.
`String` | `getSearch()`
`String` | `getSerial()`
`int` | `getTrClass()`
`boolean` | `isHasFilter()`
`boolean` | `isIsEmpty()`
`boolean` | `isMaster()`
`boolean` | `isNotEmpty()`
`boolean` | `isPrivate()`
`boolean` | `isPublished()`
`boolean` | `isRouter()`
`void` | `setAction(String action)`
`void` | `setBegin(String s)`
`void` | `setBook(String book)`
`void` | `setDestination(String destination)`
`void` | `setEnd(String s)`
`void` | `setFilter(String filter)`
`void` | `setHostname(String hostname)`
`void` | `setMarkedForDeletion(String name)`
`void` | `setResetDeletionMarks(String dummy)`
`void` | `setSearch(String search)`
`void` | `setSerial(String serial)`
`void` | `setTrClass(int trClass)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AddressbookBean

    public AddressbookBean()

Method Detail

### getSearch

    public String getSearch()

### setSearch

    public void setSearch(String search)

### isHasFilter

    public boolean isHasFilter()

### setTrClass

    public void setTrClass(int trClass)

### getTrClass

    public int getTrClass()

### isIsEmpty

    public boolean isIsEmpty()

### isNotEmpty

    public boolean isNotEmpty()

### getFileName

    public String getFileName()

### getEntries

    public Object[] getEntries()

### getAction

    public String getAction()

### setAction

    public void setAction(String action)

### getBook

    public String getBook()

### setBook

    public void setBook(String book)

### getSerial

    public String getSerial()

### setSerial

    public void setSerial(String serial)

### getLoadBookMessages

    public String getLoadBookMessages()

  Load addressbook and apply filter, returning messages about this.

### getMessages

    public String getMessages()

  Perform actions, returning messages about this.

### getFilter

    public String getFilter()

### isMaster

    public boolean isMaster()

### isRouter

    public boolean isRouter()

### isPublished

    public boolean isPublished()

### isPrivate

    public boolean isPrivate()

### setFilter

    public void setFilter(String filter)

### getDestination

    public String getDestination()

### setDestination

    public void setDestination(String destination)

### getHostname

    public String getHostname()

### setResetDeletionMarks

    public void setResetDeletionMarks(String dummy)

### setMarkedForDeletion

    public void setMarkedForDeletion(String name)

### setHostname

    public void setHostname(String hostname)

### getBegin

    public String getBegin()

### setBegin

    public void setBegin(String s)

### getEnd

    public String getEnd()

### setEnd

    public void setEnd(String s)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD